Skip to content

Instantly share code, notes, and snippets.

Embed
What would you like to do?
New Twiddle
import Ember from 'ember';
const values = [
0, 10, 20, 30, 40, 50, 60, 70, 80, 90, 100
];
export default Ember.Controller.extend({
sliderIndex: 1,
values: Ember.computed('sliderIndex', function() {
return values.map((v, index) => {
const value = v;
const selected = parseInt(this.get('sliderIndex'), 10) === index;
if (selected)
console.error(value);
return { value, selected };
});
}).readOnly(),
});
<h2>{{sliderIndex}}</h2>
{{input type="range" min="0" max="10" value=sliderIndex}}
<select value="target.value">
{{#each values key="value" as |value index|}}
<option value="{{index}}"
selected={{if value.selected "selected"}}>
{{value.value}} {{value.selected}}
</option>
{{/each}}
</select>
import Ember from 'ember';
export default function destroyApp(application) {
Ember.run(application, 'destroy');
}
import Resolver from '../../resolver';
import config from '../../config/environment';
const resolver = Resolver.create();
resolver.namespace = {
modulePrefix: config.modulePrefix,
podModulePrefix: config.podModulePrefix
};
export default resolver;
import Ember from 'ember';
import Application from '../../app';
import config from '../../config/environment';
const { run } = Ember;
const assign = Ember.assign || Ember.merge;
export default function startApp(attrs) {
let application;
let attributes = assign({rootElement: "#test-root"}, config.APP);
attributes = assign(attributes, attrs); // use defaults, but you can override;
run(() => {
application = Application.create(attributes);
application.setupForTesting();
application.injectTestHelpers();
});
return application;
}
import resolver from './helpers/resolver';
import {
setResolver
} from 'ember-qunit';
setResolver(resolver);
{
"version": "0.12.1",
"EmberENV": {
"FEATURES": {}
},
"options": {
"use_pods": false,
"enable-testing": false
},
"dependencies": {
"jquery": "https://cdnjs.cloudflare.com/ajax/libs/jquery/1.11.3/jquery.js",
"ember": "2.12.0",
"ember-template-compiler": "2.12.0",
"ember-testing": "2.12.0"
},
"addons": {
"ember-data": "2.12.1"
}
}
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment